Bug 463018 - Gnome Packagekit crashes when using a fingerprint reader (fprint)
Gnome Packagekit crashes when using a fingerprint reader (fprint)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-20 16:26 EDT by xavier.loup
Modified: 2013-03-05 22:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:54:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xavier.loup 2008-09-20 16:26:44 EDT
Description of problem:


Version-Release number of selected component (if applicable):
gnome-packagekit-0.2.5-2

How reproducible:
always

Steps to Reproduce:
1. Use a computer with a fingerprint reader
2. Configure pam_fprint (http://reactivated.net/fprint/wiki/Pam_fprint)
3. In gnome, go to System menu and choose Administration > Add/Remove software
4. Choose a new software to install and click apply
  
Actual results:
Application hangs (you have to kill it)

Expected results:
A message box should tell you to have your fingerprint read.

Additional info:
In GDM or in console, a message is sent to the user when he has to have his
fingerprint verified. See also bug 456749
Comment 1 Richard Hughes 2008-09-21 06:03:17 EDT
Can you describe exactly how it hangs please? Thanks.
Comment 2 xavier.loup 2008-09-22 16:03:30 EDT
After clicking apply, a new window opens : "Finding packages we depend on".
Progress bar advances and when it seems to be finished, nothing happens.
The UI become unresponsive (no UI repaint).
No other choice than killing the window.

The application may be waiting for a password, but there is no password window and using the fingerprint reader does nothing.
Comment 3 TK009 2009-03-10 16:05:23 EDT
Assigning based on maintainer response.

This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2009-06-09 22:46:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:54:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.